default:
  image: quay.io/podman/stable

stages:
  - build
  - test
  - release

variables:
  CONTAINER_TEST_IMAGE: $CI_REGISTRY_IMAGE:ci_test_$CI_COMMIT_SHORT_SHA
  CONTAINER_RELEASE_IMAGE: $CI_REGISTRY_IMAGE:latest

before_script:
  - podman login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
  stage: build
  script:
    - podman build -t $CONTAINER_TEST_IMAGE .
    - podman push $CONTAINER_TEST_IMAGE

release:
  stage: release
  script:
    - podman pull $CONTAINER_TEST_IMAGE
    - podman tag $CONTAINER_TEST_IMAGE $CONTAINER_RELEASE_IMAGE
    - podman push $CONTAINER_RELEASE_IMAGE
  only:
    - main
    - tags

release_tag:
  stage: release
  script:
    - podman pull $CONTAINER_TEST_IMAGE
    - podman tag $CONTAINER_TEST_IMAGE $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
    - podman push $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG
  only:
    - tags
